package cn.reghao.bnt.web.admin.model.dto;

import cn.reghao.bnt.web.admin.model.po.User;
import lombok.Getter;

/**
 * @author reghao
 * @date 2023-10-19 13:40:54
 */
@Getter
public class AuthDetail {
    private Integer userId;
    private String password;
    private String salt;
    private Boolean enabled;
    private Boolean locked;

    public AuthDetail(User user) {
        this.userId = user.getId();
        this.password = user.getPassword();
        this.salt = user.getSalt();
        this.enabled = user.getEnabled();
        this.locked = user.getLocked();
    }
}
